Subject: bug#20773: 11.88.6; Preview fails on nested \include{} using \documentclass{sigplanconf}

From: Alex Rozenshteyn <[email-masked]>
Date: Tue, 9 Jun 2015 11:03:12 -0400

I meant that \documentclass is the first thing in the document _normally_,
so reinitializing something that, AFAICT should be initialized and not
changed seems to be a no-op.

To be clear, I did put \newcount\errorcontextlines before
\documentclass{sigplanconf} in my test, and it broke in the same way, with
"Ghostscript filter: No bounding box".

On Tue, Jun 9, 2015 at 10:17 AM, David Kastrup <[email-masked]> wrote:

> Alex Rozenshteyn <[email-masked]> writes:
>
> >> On Tue, Jun 9, 2015 at 10:10 AM, Tassilo Horn <[email-masked]> wrote:
> >>
> >>> David Kastrup <[email-masked]> writes:
> >>>
> >>> > It might be worth trying to put
> >>> >
> >>> > \newcount\errorcontextlines
> >>> >
> >>> > (making the original \errorcontextlines inaccessible) before
> >>> > \documentclass in order to see whether this makes a difference.
> >>>
> >>> No, it doesn't make any difference although I didn't check the preview
> >>> output line by line but at least I still get the two errors from above
> >>> alternatingly.
> >
> > Made no difference to me either, though I'd have been rather surprised,
> > since \documentclass is the first thing in the document.
>
> Huh?  Both of you realize that I wrote
>
> put "\newcount\errorcontextlines" *before* \documentclass ?
>
> Why would it surprise you that this does not make a change "since
> \documentclass is the first thing in the document"?  \documentclass _is_
> suspected of causing the problem, and so the \newcount\errorcontextlines
> would remove the possibility of \documentclass to mess with the setting
> of the original \errorcontextlines.  For that, it has to come _before_
> \documentclass.
>
> --
> David Kastrup
>